{
  "name": "ticket",
  "version": "1.0.17.5",
  "private": true,
  "description": "售检票系统",
  "author": "",
  "gitHooks": {
    "commit-msg": "node scripts/verify-commit-msg.js"
  },
  "//": "name 为项目注释",
  "scripts": {
    "start": "cross-env name=通用项目 APP_PROJECT=common APP_PROJECT_NAME=售检票系统 APP_LOGO=  npm run electron:serve",
    "build": "cross-env APP_PROJECT=common APP_PROJECT_NAME=售检票系统 APP_LOGO=icons  npm run electron:build",
    "dart-sass": "rm -rf node_modules/node-sass/* && cp -R docs/dart-sass/node-sass/* node_modules/node-sass/",
    "work": "npm run dart-sass && npm run start",
    "build:demo": "cross-env APP_PROJECT=demo APP_PROJECT_NAME=票管家 APP_LOGO=demo  npm run electron:build",
    "start:mazu": "cross-env name=通用项目 APP_PROJECT=mazu APP_PROJECT_NAME=印象妈祖票务系统 APP_LOGO=  npm run electron:serve",
    "build:mazu": "cross-env APP_PROJECT=mazu APP_PROJECT_NAME=印象妈祖票务系统 APP_LOGO=demo  npm run electron:build",
    "start:hh": "cross-env name=黟县 APP_PROJECT=huihuang APP_PROJECT_NAME=售检票系统 APP_LOGO=huihuang npm run electron:serve",
    "build:hh": "cross-env APP_PROJECT=huihuang APP_PROJECT_NAME=售检票系统 APP_LOGO=huihuang npm run electron:build",
    "start:yueliangdao": "cross-env name=梦幻月亮岛 APP_PROJECT=yueliangdao APP_PROJECT_NAME=梦幻月亮岛售检票系统 APP_LOGO=yueliangdao npm run electron:serve",
    "build:yueliangdao": "cross-env APP_PROJECT=yueliangdao APP_PROJECT_NAME=梦幻月亮岛售检票系统 APP_LOGO=yueliangdao npm run electron:build",
    "start:lby": "cross-env name=绿博园 APP_PROJECT=lby APP_PROJECT_NAME=售检票系统 APP_LOGO= npm run electron:serve",
    "build:lby": "cross-env APP_PROJECT=lby APP_PROJECT_NAME=售检票系统 APP_LOGO= npm run electron:build",
    "start:dflz": "cross-env name=东方绿洲 APP_PROJECT=dflz APP_PROJECT_NAME=驴妈妈售检票系统 APP_LOGO= npm run electron:serve",
    "build:dflz": "cross-env APP_PROJECT=dflz APP_PROJECT_NAME=驴妈妈售检票系统 APP_LOGO= npm run electron:build",
    "start:czg": "cross-env name=城展馆 APP_PROJECT=czg APP_PROJECT_NAME=城展馆预约系统 APP_LOGO=czg npm run electron:serve",
    "build:czg": "cross-env APP_PROJECT=czg APP_PROJECT_NAME=城展馆预约系统 APP_LOGO=czg npm run electron:build",
    "build:xbl": "cross-env APP_PROJECT=xbl APP_PROJECT_NAME=新百旅售检票系统 APP_LOGO=xbl npm run electron:build",
    "build:szl": "cross-env APP_PROJECT=szl APP_PROJECT_NAME=松赞林智慧景区票务系统 APP_LOGO=szl npm run electron:build",
    "start:zql": "cross-env APP_PROJECT=zql APP_PROJECT_NAME=售检票系统 APP_LOGO=zql npm run electron:serve",
    "build:zql": "cross-env APP_PROJECT=zql APP_PROJECT_NAME=售检票系统 APP_LOGO=zql npm run electron:build",
    "build:lysx": "cross-env APP_PROJECT=lysx APP_PROJECT_NAME=乐游歙县售检票系统 APP_LOGO=lysx npm run electron:build",
    "start:shqzly": "cross-env APP_PROJECT=shqzly APP_PROJECT_NAME=售检票系统 APP_LOGO=  npm run electron:serve",
    "build:shqzly": "cross-env APP_PROJECT=shqzly APP_PROJECT_NAME=售检票系统 APP_LOGO=  npm run electron:build",
    "start:jiulonghu": "cross-env APP_PROJECT=jiulonghu APP_PROJECT_NAME=售检票系统 APP_LOGO=  npm run electron:serve",
    "build:jiulonghu": "cross-env APP_PROJECT=jiulonghu APP_PROJECT_NAME=售检票系统 APP_LOGO=  npm run electron:build",
    "start:hangzhousuodao": "cross-env APP_PROJECT=hangzhousuodao APP_PROJECT_NAME=北高峰索道票务系统 APP_LOGO=hangzhousuodao  npm run electron:serve",
    "build:hangzhousuodao": "cross-env APP_PROJECT=hangzhousuodao APP_PROJECT_NAME=北高峰索道票务系统 APP_LOGO=hangzhousuodao  npm run electron:build",
    "start:tuyouwenlv": "cross-env name=土右旅游 APP_PROJECT=tuyouwenlv APP_PROJECT_NAME=土右旅游售检票系统 APP_LOGO=tuyouwenlv npm run electron:serve",
    "build:tuyouwenlv": "cross-env APP_PROJECT=tuyouwenlv APP_PROJECT_NAME=土右旅游售检票系统 APP_LOGO=tuyouwenlv npm run electron:build",
    "start:sanheguzhen": "cross-env APP_PROJECT=sanheguzhen APP_PROJECT_NAME=三河古镇售票软件 APP_LOGO=sanheguzhen npm run electron:serve",
    "build:sanheguzhen": "cross-env APP_PROJECT=sanheguzhen APP_PROJECT_NAME=三河古镇售票软件 APP_LOGO=sanheguzhen npm run electron:build",
    "start:nantaihang": "cross-env APP_PROJECT=nantaihang APP_PROJECT_NAME=南太行-秋沟景区售检票系统 APP_LOGO=nantaihang npm run electron:serve",
    "build:nantaihang": "cross-env APP_PROJECT=nantaihang APP_PROJECT_NAME=南太行-秋沟景区售检票系统 APP_LOGO=nantaihang npm run electron:build",
    "start:baogang": "cross-env APP_PROJECT=baogang APP_PROJECT_NAME=宝钢工业创享园检票系统 APP_LOGO=baogang npm run electron:serve",
    "build:baogang": "cross-env APP_PROJECT=baogang APP_PROJECT_NAME=宝钢工业创享园检票系统 APP_LOGO=baogang npm run electron:build",
    "start:red": "cross-env name=长沙雷锋 APP_PROJECT=leifengjinianguan APP_PROJECT_NAME=湖南雷锋纪念馆预约管理系统 APP_LOGO=leifengjinianguan  npm run electron:serve",
    "build:red": "cross-env APP_PROJECT=leifengjinianguan APP_PROJECT_NAME=湖南雷锋纪念馆预约管理系统 APP_LOGO=leifengjinianguan npm run electron:build",
    "serve": "vue-cli-service serve",
    "lint": "vue-cli-service lint",
    "electron:build": "vue-cli-service electron:build",
    "electron:generate-icons": "electron-icon-builder --input=./public/baogang.png --output=build/baogang --flatten",
    "electron:generate-red-icons": "electron-icon-builder --input=./public/leifengjinianguan.png --output=build/leifengjinianguan --flatten",
    "electron:serve": "vue-cli-service electron:serve --max_old_space_size=8192",
    "postinstall": "electron-builder install-app-deps",
    "postuninstall": "electron-builder install-app-deps",
    "rebuild": "electron-rebuild -v 3.1.13",
    "test:unit": "vue-cli-service test:unit",
    "commit": "git-cz",
    "release": "sh scripts/version.sh",
    "changelog": "nvm use 12.22.6 && rm -rf ./public/CHANGELOG.md && conventional-changelog -p angular -i ./public/CHANGELOG.md -s -r 10 && nvm use 8.16.2 32"
  },
  "main": "background.js",
  "dependencies": {
    "@tinymce/tinymce-vue": "^3",
    "app-info-parser": "^1.1.3",
    "axios": "^1.7.7",
    "buffertrim": "^1.0.0",
    "core-js": "^2.6.5",
    "crypto-js": "^4.2.0",
    "echarts": "^4.2.1",
    "electron-builder": "21.1.5",
    "electron-context-menu": "^2.3.0",
    "electron-dl": "^2.0.0",
    "electron-log": "^3.0.8",
    "electron-store": "^4.0.0",
    "electron-updater": "4.0.6",
    "element-china-area-data": "^4.1.2",
    "element-ui": "^2.15.3",
    "exif-js": "^2.3.0",
    "ffi": "^2.3.0",
    "file-saver": "^2.0.2",
    "filecompare": "./filecompare",
    "fs-extra": "8.1.0",
    "iconv-lite": "./iconv-lite",
    "js-base64": "^3.7.5",
    "js-cookie": "^2.2.0",
    "jsqr": "^1.2.0",
    "konva": "^6.0.0",
    "marked": "^0.1.3",
    "moment": "^2.24.0",
    "moment-range": "^4.0.2",
    "nprogress": "^0.2.0",
    "number-precision": "^1.3.2",
    "qrcode": "^1.5.0",
    "ref": "^1.3.5",
    "ref-array": "^1.2.0",
    "ref-struct": "^1.1.0",
    "screenfull": "^4.2.0",
    "systeminformation": "^4.14.8",
    "temp-file": "3.3.3",
    "tinymce": "^5",
    "v-clipboard": "^2.2.2",
    "vue": "^2.6.10",
    "vue-echarts": "^4.0.3",
    "vue-konva": "^2.1.3",
    "vue-property-decorator": "^8.1.1",
    "vue-qriously": "^1.1.1",
    "vue-router": "^3.0.3",
    "vue-scrollto": "^2.17.1",
    "vuedraggable": "^2.23.2",
    "vuex": "^3.0.1",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@babel/plugin-proposal-optional-chaining": "^7.10.4",
    "@vue/cli-plugin-babel": "^3.8.0",
    "@vue/cli-plugin-eslint": "^3.8.0",
    "@vue/cli-plugin-unit-jest": "^3.9.0",
    "@vue/cli-service": "^3.8.0",
    "@vue/eslint-config-standard": "^4.0.0",
    "@vue/test-utils": "1.0.0-beta.29",
    "babel-core": "7.0.0-bridge.0",
    "babel-eslint": "^10.0.1",
    "babel-jest": "^23.6.0",
    "chalk": "^4.1.2",
    "commitizen": "^4.2.4",
    "conventional-changelog": "^3.1.24",
    "cross-env": "^7.0.3",
    "cz-conventional-changelog": "^3.3.0",
    "electron": "3.1.13",
    "electron-icon-builder": "1.0.0",
    "electron-rebuild": "^1.8.5",
    "eslint": "^5.16.0",
    "eslint-plugin-vue": "^5.0.0",
    "node-sass": "npm:sass@1.3.0",
    "sass-loader": "^7.1.0",
    "svg-sprite-loader": "^4.1.6",
    "vue-cli-plugin-electron-builder": "1.3.5",
    "vue-template-compiler": "^2.6.10",
    "yorkie": "^2.0.0"
  },
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    }
  }
}
